---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/librawmnwait005.dylib'
relocations:
  - { offsetInCU: 0x6C8, offset: 0x6C8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50D70, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x6EF, offset: 0x6EF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52CB0, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0x711, offset: 0x711, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x530A0, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0x733, offset: 0x733, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54040, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x748, offset: 0x748, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54050, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x7C3, offset: 0x7C3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x509C0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7CE, offset: 0x7CE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x509C4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D9, offset: 0x7D9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x509C8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x81E, offset: 0x81E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50B20, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x897, offset: 0x897, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50BD8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B5, offset: 0x8B5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50BDC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8CE, offset: 0x8CE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50BE0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E7, offset: 0x8E7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50BE4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x900, offset: 0x900, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50BE8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEF, offset: 0x8EEF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50BF0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F78, offset: 0x8F78, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50C08, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F91, offset: 0x8F91, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50C10, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FAA, offset: 0x8FAA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50C18, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FC3, offset: 0x8FC3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50C20, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FDD, offset: 0x8FDD, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50C28, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90C3, offset: 0x90C3, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50C70, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90DC, offset: 0x90DC, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50C78, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F5, offset: 0x90F5, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50C88, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9115, offset: 0x9115, size: 0x8, addend: 0x0, symName: __ZL9wait_time, symObjAddr: 0x50C90, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x912E, offset: 0x912E, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x50C98, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9147, offset: 0x9147, size: 0x8, addend: 0x0, symName: __ZL9wait_lock, symObjAddr: 0x50CA0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9199, offset: 0x9199, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4160, symSize: 0x80 }
  - { offsetInCU: 0x922E, offset: 0x922E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x40B0, symSize: 0xB0 }
  - { offsetInCU: 0x9289, offset: 0x9289, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3FB0, symSize: 0x100 }
  - { offsetInCU: 0x951C, offset: 0x951C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x41E0, symSize: 0x220 }
  - { offsetInCU: 0x9701, offset: 0x9701, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4400, symSize: 0xA0 }
  - { offsetInCU: 0x97B4, offset: 0x97B4, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x44A0, symSize: 0x110 }
  - { offsetInCU: 0x98AA, offset: 0x98AA, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x45B0, symSize: 0x150 }
  - { offsetInCU: 0x9A07, offset: 0x9A07, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4700, symSize: 0x30 }
  - { offsetInCU: 0x9A90, offset: 0x9A90, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4730, symSize: 0x150 }
  - { offsetInCU: 0x9C88, offset: 0x9C88, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4880, symSize: 0x160 }
  - { offsetInCU: 0x9E14, offset: 0x9E14, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x49E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA02F, offset: 0xA02F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4B90, symSize: 0xA0 }
  - { offsetInCU: 0xA0FE, offset: 0xA0FE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4C30, symSize: 0x20 }
  - { offsetInCU: 0xA135, offset: 0xA135, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4C50, symSize: 0x20 }
  - { offsetInCU: 0xA16C, offset: 0xA16C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4C70, symSize: 0x20 }
  - { offsetInCU: 0xA2DB, offset: 0xA2DB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4C90, symSize: 0x1A0 }
  - { offsetInCU: 0xA601, offset: 0xA601, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4E30, symSize: 0x80 }
  - { offsetInCU: 0xA6CA, offset: 0xA6CA, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4EB0, symSize: 0x6A0 }
  - { offsetInCU: 0xB25F, offset: 0xB25F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA2B0, symBinAddr: 0x62F0, symSize: 0xB0 }
  - { offsetInCU: 0xB2D6, offset: 0xB2D6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5550, symSize: 0x70 }
  - { offsetInCU: 0xB392, offset: 0xB392, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x55C0, symSize: 0xA0 }
  - { offsetInCU: 0xB491, offset: 0xB491, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5660, symSize: 0x40 }
  - { offsetInCU: 0xB587, offset: 0xB587, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x56A0, symSize: 0x2B0 }
  - { offsetInCU: 0xB92D, offset: 0xB92D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5950, symSize: 0xC0 }
  - { offsetInCU: 0xBA73, offset: 0xBA73, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5A10, symSize: 0x10 }
  - { offsetInCU: 0xBB35, offset: 0xBB35, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5A20, symSize: 0x220 }
  - { offsetInCU: 0xBE32, offset: 0xBE32, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5C40, symSize: 0x10 }
  - { offsetInCU: 0xBE88, offset: 0xBE88, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5C50, symSize: 0xF0 }
  - { offsetInCU: 0xC008, offset: 0xC008, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x5D40, symSize: 0x10 }
  - { offsetInCU: 0xC07E, offset: 0xC07E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RawMonitorWait_rawmnwait005_check, symObjAddr: 0x9D10, symBinAddr: 0x5D50, symSize: 0x330 }
  - { offsetInCU: 0xC39F, offset: 0xC39F, size: 0x8, addend: 0x0, symName: __ZL11test_threadP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA040, symBinAddr: 0x6080, symSize: 0x270 }
  - { offsetInCU: 0xC63F, offset: 0xC63F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA360, symBinAddr: 0x63A0, symSize: 0x36A }
...
